This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 907667 - Unowned directories /usr/share/mime/all, /usr/share/mime/uri/
Unowned directories /usr/share/mime/all, /usr/share/mime/uri/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 587573
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 18:12 EST by Michael Scherer
Modified: 2015-01-17 00:49 EST (History)
11 users (show)

See Also:
Fixed In Version: kdelibs-4.14.3-8.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-18 09:22:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2013-02-04 18:12:37 EST
After installing some kde packages in a chroot, I found out that update-mime-database do create file in /usr :

# cat /usr/share/mime/uri/mmst.xml 
<?xml version="1.0" encoding="utf-8"?>
<mime-type xmlns="http://www.freedesktop.org/standards/shared-mime-info" type="uri/mmst">
  <!--Created automatically by update-mime-database. DO NOT EDIT!-->
  <comment>mmst: URIs</comment>
</mime-type>

# rpm -qf /usr/share/mime/uri/*
file /usr/share/mime/uri/mmst.xml is not owned by any package

# rpm -qf /usr/share/mime/uri/
file /usr/share/mime/uri is not owned by any package


I think /usr/share/mime/uri/ should be owned by shared-mime-database.
( I investigate the 2nd one about creating file on /usr without having them owned by the package that created them )
Comment 1 Michael Scherer 2013-02-04 18:13:16 EST
And the same goes for /usr/share/mime/all 

# rpm -qf /usr/share/mime/all
file /usr/share/mime/all is not owned by any package
Comment 2 Fedora End Of Life 2013-04-03 10:03:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Matthias Clasen 2013-06-16 20:06:53 EDT
These are all 'fake mimetypes' that are installed by kde. Moving this bug there.
Comment 4 Rex Dieter 2014-12-18 09:17:58 EST
uri/ stuff is being dropped per classic bug #587573

I'll add ownership of mime/all here
Comment 5 Rex Dieter 2014-12-18 09:22:37 EST
Fixed in rawhide, stable release will get rolled in when next update comes (not issuing one just for this).

%changelog
* Thu Dec 18 2014 Rex Dieter <rdieter@fedoraproject.org> - 6:4.14.3-6
- kill uri/ fake mimetypes (#587573, kde#269045)
- own fake mimetype dirs, e.g. mime/all/ (#907667)
Comment 6 Fedora Update System 2014-12-30 10:16:08 EST
kdelibs-4.14.3-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kdelibs-4.14.3-8.fc21
Comment 7 Fedora Update System 2014-12-30 10:22:29 EST
kdelibs-4.14.3-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kdelibs-4.14.3-8.fc20
Comment 8 Fedora Update System 2015-01-08 18:31:39 EST
kdelibs-4.14.3-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-01-17 00:49:50 EST
kdelibs-4.14.3-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.